Manifest-Version: 1.0
Bnd-LastModified: 1711550067032
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Impl
Bundle-SymbolicName: com.liferay.portal.impl;singleton:=true
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 93.0.1
Created-By: 1.8.0_381 (Oracle Corporation)
DSTAMP: 20240327
Export-Package: com.liferay.portal.bean;version="5.0.0";uses:="com.lif
 eray.portal.kernel.bean,javax.servlet.http,org.springframework.contex
 t",com.liferay.portal.dao.orm.hibernate;version="7.0.0";uses:="com.li
 feray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.petr
 a.string,com.liferay.portal.kernel.dao.orm,org.hibernate,org.hibernat
 e.criterion,org.hibernate.dialect,org.hibernate.dialect.pagination,or
 g.hibernate.engine.spi,org.hibernate.property.access.internal,org.hib
 ernate.property.access.spi,org.hibernate.type,org.hibernate.usertype"
 ,com.liferay.portal.deploy.hot;version="10.0.0";uses:="com.liferay.po
 rtal.kernel.deploy.hot,com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.plugin,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.service.persistence,com.liferay.portal.kernel.url,com.lifer
 ay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.servlet,org
 .osgi.framework",com.liferay.portal.events;version="11.0.0";uses:="co
 m.liferay.portal.kernel.deploy.hot,com.liferay.portal.kernel.events,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.security.aut
 o.login,com.liferay.portal.kernel.upgrade,javax.servlet.http",com.lif
 eray.portal.freemarker;version="1.0.2",com.liferay.portal.minifier;ve
 rsion="2.0.0",com.liferay.portal.plugin;version="3.1.0";uses:="com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.plugin,com.liferay.portal.kernel.xml,javax.servlet
 ",com.liferay.portal.security.auth;version="7.0.0";uses:="com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.portlet,com.liferay.portal.kernel.security.auth,com.lif
 eray.portal.kernel.security.auth.verifier,javax.security.auth.callbac
 k,javax.servlet.http",com.liferay.portal.security.lang;version="2.0.0
 ",com.liferay.portal.service;version="1.0.0";uses:="com.liferay.porta
 l.kernel.aop,com.liferay.portal.kernel.service",com.liferay.portal.se
 rvice.http;version="14.0.0";uses:="com.liferay.announcements.kernel.m
 odel,com.liferay.petra.function,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.search,
 com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.ser
 vice,com.liferay.portal.kernel.util,javax.portlet",com.liferay.portal
 .service.permission;version="9.0.0";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 ecurity.auth,com.liferay.portal.kernel.security.permission,com.lifera
 y.portal.kernel.service.permission,com.liferay.portal.kernel.spring.o
 sgi",com.liferay.portal.service.persistence.constants;version="1.0.0"
 ,com.liferay.portal.servlet;version="14.1.0";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.servlet,com.liferay.portal.kernel.util,com.liferay.portal.ker
 nel.xml,javax.servlet,javax.servlet.http",com.liferay.portal.servlet.
 filters;version="1.0.0";uses:="com.liferay.portal.kernel.log,com.life
 ray.portal.kernel.servlet,javax.servlet.http",com.liferay.portal.serv
 let.filters.authverifier;version="1.0.2";uses:="com.liferay.portal.se
 rvlet.filters,javax.servlet,javax.servlet.http",com.liferay.portal.sp
 ring.configurator;version="1.0.0";uses:="org.springframework.context"
 ,com.liferay.portal.template;version="11.0.0";uses:="com.liferay.port
 al.kernel.cache,com.liferay.portal.kernel.spring.osgi,com.liferay.por
 tal.kernel.template,javax.portlet,org.osgi.framework",com.liferay.por
 tal.tools;version="14.0.0";uses:="com.liferay.portal.kernel.dao.db,co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.io.unsync
 ,com.liferay.portal.kernel.xml,org.dom4j",com.liferay.portal.upgrade.
 util;version="8.0.0";uses:="com.liferay.portal.kernel.upgrade,com.lif
 eray.portal.kernel.upgrade.util",com.liferay.portal.upgrade.v7_0_0;ve
 rsion="7.0.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.po
 rtal.kernel.settings,com.liferay.portal.kernel.upgrade,com.liferay.po
 rtal.kernel.util,javax.portlet",com.liferay.portal.upgrade.v7_0_5;ver
 sion="3.0.0";uses:="com.liferay.portal.kernel.upgrade",com.liferay.po
 rtal.upgrade.v7_1_x;version="5.0.0";uses:="com.liferay.portal.kernel.
 upgrade,com.liferay.portal.kernel.upgrade.util,com.liferay.portal.upg
 rade.util",com.liferay.portal.upload;version="5.0.0";uses:="com.lifer
 ay.portal.kernel.servlet,com.liferay.portal.kernel.upload,javax.portl
 et,javax.servlet,javax.servlet.http",com.liferay.portal.util;version=
 "58.0.0";uses:="com.liferay.petra.lang,com.liferay.petra.process,com.
 liferay.portal.kernel.configuration,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.portlet,com.liferay.portal.kernel.repository,c
 om.liferay.portal.kernel.repository.event,com.liferay.portal.kernel.s
 ecurity.permission,com.liferay.portal.kernel.settings,com.liferay.por
 tal.kernel.theme,com.liferay.portal.kernel.upload,com.liferay.portal.
 kernel.util,com.liferay.portal.kernel.xml,javax.portlet,javax.servlet
 ,javax.servlet.http,org.xml.sax",com.liferay.portal.xml;version="2.0.
 0";uses:="com.liferay.portal.kernel.security.xml,com.liferay.portal.k
 ernel.util,com.liferay.portal.kernel.xml,org.dom4j,org.dom4j.io,org.d
 om4j.tree,org.xml.sax",com.liferay.portlet;version="9.0.0";uses:="com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.
 liferay.portal.kernel.portlet,com.liferay.portal.kernel.security.auth
 ,com.liferay.portal.kernel.servlet,com.liferay.portal.kernel.theme,co
 m.liferay.portal.kernel.transaction,com.liferay.portal.kernel.util,ja
 vax.portlet,javax.portlet.filter,javax.servlet,javax.servlet.http,jav
 ax.xml.stream",com.liferay.portlet.asset;version="2.2.0",com.liferay.
 portlet.asset.model.impl;version="7.0.0";uses:="com.liferay.asset.ker
 nel.model,com.liferay.expando.kernel.model,com.liferay.exportimport.k
 ernel.lar,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.mod
 el.impl,com.liferay.portal.kernel.service,com.liferay.portlet.asset.u
 til",com.liferay.portlet.asset.service.permission;version="3.0.0";use
 s:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.security.permission,com.liferay.portal.ke
 rnel.spring.osgi",com.liferay.portlet.asset.util;version="5.0.0";uses
 :="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.secu
 rity.permission",com.liferay.portlet.documentlibrary;version="2.0.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 settings",com.liferay.portlet.documentlibrary.lar;version="2.0.0";use
 s:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.rep
 ository.model",com.liferay.portlet.documentlibrary.store;version="9.0
 .0";uses:="com.liferay.document.library.kernel.store,com.liferay.port
 al.kernel.exception",com.liferay.portlet.documentlibrary.util;version
 ="11.0.0";uses:="com.liferay.document.library.kernel.model,com.lifera
 y.document.library.kernel.store,com.liferay.document.library.kernel.u
 til,com.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.repository.model,com.liferay.portal.
 kernel.search,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.theme,com.liferay.portal.kernel.util,com.liferay.portal.kernel.x
 ml,javax.portlet",com.liferay.portlet.expando.model.impl;version="5.0
 .0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.model.impl,com.liferay.portal.kernel.u
 til",com.liferay.portlet.usersadmin.search;version="3.0.0";uses:="com
 .liferay.portal.kernel.search"
Git-Descriptor: 0fa62d644f452-dirty
Git-SHA: 0fa62d644f4525ee032c70c411d85aa9f33b9cf8
Import-Package: com.liferay.announcements.kernel.exception,com.liferay
 .announcements.kernel.model,com.liferay.announcements.kernel.service,
 com.liferay.announcements.kernel.service.persistence,com.liferay.asse
 t.kernel,com.liferay.asset.kernel.configuration.provider,com.liferay.
 asset.kernel.exception,com.liferay.asset.kernel.manager,com.liferay.a
 sset.kernel.model,com.liferay.asset.kernel.search,com.liferay.asset.k
 ernel.service,com.liferay.asset.kernel.service.persistence,com.lifera
 y.asset.kernel.util,com.liferay.asset.kernel.validator,com.liferay.co
 unter.kernel.model,com.liferay.counter.kernel.service,com.liferay.cou
 nter.kernel.service.persistence,com.liferay.document.library.kernel.a
 ntivirus,com.liferay.document.library.kernel.document.conversion,com.
 liferay.document.library.kernel.exception,com.liferay.document.librar
 y.kernel.model,com.liferay.document.library.kernel.service,com.lifera
 y.document.library.kernel.service.persistence,com.liferay.document.li
 brary.kernel.store,com.liferay.document.library.kernel.util,com.lifer
 ay.document.library.kernel.util.comparator,com.liferay.document.libra
 ry.kernel.versioning,com.liferay.dynamic.data.mapping.kernel,com.life
 ray.expando.kernel.exception,com.liferay.expando.kernel.model,com.lif
 eray.expando.kernel.model.adapter,com.liferay.expando.kernel.service,
 com.liferay.expando.kernel.service.permission,com.liferay.expando.ker
 nel.service.persistence,com.liferay.expando.kernel.util,com.liferay.e
 xportimport.kernel.configuration,com.liferay.exportimport.kernel.cont
 roller,com.liferay.exportimport.kernel.exception,com.liferay.exportim
 port.kernel.lar,com.liferay.exportimport.kernel.lifecycle,com.liferay
 .exportimport.kernel.model,com.liferay.exportimport.kernel.service,co
 m.liferay.exportimport.kernel.service.persistence,com.liferay.exporti
 mport.kernel.staging,com.liferay.exportimport.kernel.staging.permissi
 on,com.liferay.layout.admin.kernel.model,com.liferay.layout.admin.ker
 nel.visibility,com.liferay.layout.utility.page.kernel,com.liferay.lay
 out.utility.page.kernel.request.contributor,com.liferay.mail.kernel.a
 uth.token.provider,com.liferay.mail.kernel.model,com.liferay.mail.ker
 nel.service,com.liferay.mail.kernel.template,com.liferay.osgi.service
 .tracker.collections.list,com.liferay.osgi.service.tracker.collection
 s.map,com.liferay.petra.concurrent,com.liferay.petra.executor,com.lif
 eray.petra.function,com.liferay.petra.function.transform,com.liferay.
 petra.io,com.liferay.petra.io.unsync,com.liferay.petra.lang,com.lifer
 ay.petra.memory,com.liferay.petra.nio,com.liferay.petra.process,com.l
 iferay.petra.reflect,com.liferay.petra.sql.dsl,com.liferay.petra.sql.
 dsl.ast,com.liferay.petra.sql.dsl.base,com.liferay.petra.sql.dsl.expr
 ession,com.liferay.petra.sql.dsl.expression.step,com.liferay.petra.sq
 l.dsl.query,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sq
 l.dsl.spi.ast,com.liferay.petra.sql.dsl.spi.expression,com.liferay.pe
 tra.string,com.liferay.petra.url.pattern.mapper,com.liferay.portal.be
 an;version="[5.0,6)",com.liferay.portal.freemarker;version="[1.0,2)",
 com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.aop,co
 m.liferay.portal.kernel.application.type,com.liferay.portal.kernel.au
 dit,com.liferay.portal.kernel.backgroundtask,com.liferay.portal.kerne
 l.bean,com.liferay.portal.kernel.cache,com.liferay.portal.kernel.cach
 e.index,com.liferay.portal.kernel.cache.key,com.liferay.portal.kernel
 .cache.thread.local,com.liferay.portal.kernel.change.tracking,com.lif
 eray.portal.kernel.cluster,com.liferay.portal.kernel.comment,com.life
 ray.portal.kernel.concurrent,com.liferay.portal.kernel.configuration,
 com.liferay.portal.kernel.cookies,com.liferay.portal.kernel.dao.db,co
 m.liferay.portal.kernel.dao.jdbc,com.liferay.portal.kernel.dao.jdbc.p
 ool.metrics,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.dao.search,com.liferay.portal.kernel.db.partition,com.liferay.port
 al.kernel.dependency.manager,com.liferay.portal.kernel.deploy.auto,co
 m.liferay.portal.kernel.deploy.auto.context,com.liferay.portal.kernel
 .deploy.hot,com.liferay.portal.kernel.encryptor,com.liferay.portal.ke
 rnel.events,com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.facebook,com.liferay.portal.kernel.feature.flag,com.liferay.port
 al.kernel.format,com.liferay.portal.kernel.frontend.source.map,com.li
 feray.portal.kernel.image,com.liferay.portal.kernel.increment,com.lif
 eray.portal.kernel.instance,com.liferay.portal.kernel.instance.lifecy
 cle,com.liferay.portal.kernel.internal.service.permission,com.liferay
 .portal.kernel.interval,com.liferay.portal.kernel.io,com.liferay.port
 al.kernel.io.unsync,com.liferay.portal.kernel.jndi,com.liferay.portal
 .kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.por
 tal.kernel.language,com.liferay.portal.kernel.license,com.liferay.por
 tal.kernel.license.messaging,com.liferay.portal.kernel.license.util,c
 om.liferay.portal.kernel.lock,com.liferay.portal.kernel.log,com.lifer
 ay.portal.kernel.login,com.liferay.portal.kernel.messaging,com.lifera
 y.portal.kernel.messaging.async,com.liferay.portal.kernel.mobile.devi
 ce,com.liferay.portal.kernel.model,com.liferay.portal.kernel.model.ad
 apter,com.liferay.portal.kernel.model.adapter.builder,com.liferay.por
 tal.kernel.model.change.tracking,com.liferay.portal.kernel.model.dao,
 com.liferay.portal.kernel.model.impl,com.liferay.portal.kernel.model.
 portlet,com.liferay.portal.kernel.model.role,com.liferay.portal.kerne
 l.module.framework,com.liferay.portal.kernel.module.framework.service
 ,com.liferay.portal.kernel.module.service,com.liferay.portal.kernel.m
 odule.util,com.liferay.portal.kernel.notifications,com.liferay.portal
 .kernel.patcher,com.liferay.portal.kernel.plugin,com.liferay.portal.k
 ernel.pop,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel
 .portlet.async,com.liferay.portal.kernel.portlet.bridges.mvc,com.life
 ray.portal.kernel.portlet.configuration.icon,com.liferay.portal.kerne
 l.portlet.render,com.liferay.portal.kernel.portlet.toolbar,com.lifera
 y.portal.kernel.portlet.url.builder,com.liferay.portal.kernel.portlet
 filerepository,com.liferay.portal.kernel.redirect,com.liferay.portal.
 kernel.repository,com.liferay.portal.kernel.repository.capabilities,c
 om.liferay.portal.kernel.repository.event,com.liferay.portal.kernel.r
 epository.friendly.url.resolver,com.liferay.portal.kernel.repository.
 model,com.liferay.portal.kernel.repository.proxy,com.liferay.portal.k
 ernel.repository.registry,com.liferay.portal.kernel.repository.util,c
 om.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.sa
 nitizer,com.liferay.portal.kernel.scheduler,com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.search.facet.faceted.searcher,com.l
 iferay.portal.kernel.search.reindexer,com.liferay.portal.kernel.secur
 ity,com.liferay.portal.kernel.security.access.control,com.liferay.por
 tal.kernel.security.auth,com.liferay.portal.kernel.security.auth.http
 ,com.liferay.portal.kernel.security.auth.tunnel,com.liferay.portal.ke
 rnel.security.auth.verifier,com.liferay.portal.kernel.security.auto.l
 ogin,com.liferay.portal.kernel.security.exportimport,com.liferay.port
 al.kernel.security.ldap,com.liferay.portal.kernel.security.membership
 policy,com.liferay.portal.kernel.security.permission,com.liferay.port
 al.kernel.security.permission.contributor,com.liferay.portal.kernel.s
 ecurity.permission.propagator,com.liferay.portal.kernel.security.perm
 ission.resource,com.liferay.portal.kernel.security.permission.wrapper
 ,com.liferay.portal.kernel.security.pwd,com.liferay.portal.kernel.sec
 urity.service.access.policy,com.liferay.portal.kernel.security.sso,co
 m.liferay.portal.kernel.security.xml,com.liferay.portal.kernel.servic
 e,com.liferay.portal.kernel.service.change.tracking,com.liferay.porta
 l.kernel.service.configuration,com.liferay.portal.kernel.service.conf
 iguration.servlet,com.liferay.portal.kernel.service.http,com.liferay.
 portal.kernel.service.permission,com.liferay.portal.kernel.service.pe
 rsistence,com.liferay.portal.kernel.service.persistence.change.tracki
 ng,com.liferay.portal.kernel.service.persistence.change.tracking.help
 er,com.liferay.portal.kernel.service.persistence.impl,com.liferay.por
 tal.kernel.servlet,com.liferay.portal.kernel.servlet.filters.compound
 sessionid,com.liferay.portal.kernel.servlet.filters.invoker,com.lifer
 ay.portal.kernel.servlet.taglib,com.liferay.portal.kernel.servlet.tag
 lib.aui,com.liferay.portal.kernel.servlet.taglib.ui,com.liferay.porta
 l.kernel.servlet.taglib.util,com.liferay.portal.kernel.settings,com.l
 iferay.portal.kernel.social,com.liferay.portal.kernel.spring.aop,com.
 liferay.portal.kernel.spring.orm,com.liferay.portal.kernel.spring.osg
 i,com.liferay.portal.kernel.struts,com.liferay.portal.kernel.systemev
 ent,com.liferay.portal.kernel.template,com.liferay.portal.kernel.temp
 lateparser,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.
 transaction,com.liferay.portal.kernel.trash,com.liferay.portal.kernel
 .trash.helper,com.liferay.portal.kernel.tree,com.liferay.portal.kerne
 l.upgrade,com.liferay.portal.kernel.upgrade.util,com.liferay.portal.k
 ernel.upload,com.liferay.portal.kernel.upload.configuration,com.lifer
 ay.portal.kernel.url,com.liferay.portal.kernel.url.validator,com.life
 ray.portal.kernel.util,com.liferay.portal.kernel.util.comparator,com.
 liferay.portal.kernel.uuid,com.liferay.portal.kernel.verify.model,com
 .liferay.portal.kernel.version,com.liferay.portal.kernel.view.count,c
 om.liferay.portal.kernel.webdav,com.liferay.portal.kernel.webdav.meth
 ods,com.liferay.portal.kernel.webserver,com.liferay.portal.kernel.wor
 ds,com.liferay.portal.kernel.workflow,com.liferay.portal.kernel.workf
 low.permission,com.liferay.portal.kernel.xml,com.liferay.portal.kerne
 l.xml.simple,com.liferay.portal.kernel.xmlrpc,com.liferay.portal.kern
 el.zip,com.liferay.portal.log4j,com.liferay.portal.plugin;version="[3
 .1,4)",com.liferay.portal.service;version="[1.0,2)",com.liferay.porta
 l.service.http;version="[14.0,15)",com.liferay.portal.service.permiss
 ion;version="[9.0,10)",com.liferay.portal.service.persistence.constan
 ts;version="[1.0,2)",com.liferay.portal.servlet.filters;version="[1.0
 ,2)",com.liferay.portal.spring.configurator;version="[1.0,2)",com.lif
 eray.portal.upgrade.v7_0_5;version="[3.0,4)",com.liferay.portal.upgra
 de.v7_1_x;version="[5.0,6)",com.liferay.portal.upload;version="[5.0,6
 )",com.liferay.portlet.asset.model.impl;version="[7.0,8)",com.liferay
 .portlet.asset.service.permission;version="[3.0,4)",com.liferay.portl
 et.asset.util;version="[5.0,6)",com.liferay.portlet.configuration.ker
 nel.util,com.liferay.portlet.documentlibrary;version="[2.0,3)",com.li
 feray.portlet.expando.model.impl;version="[5.0,6)",com.liferay.portle
 t.usersadmin.search;version="[3.0,4)",com.liferay.ratings.kernel.exce
 ption,com.liferay.ratings.kernel.model,com.liferay.ratings.kernel.ser
 vice,com.liferay.ratings.kernel.service.persistence,com.liferay.ratin
 gs.kernel.transformer,com.liferay.sites.kernel.util,com.liferay.socia
 l.kernel.exception,com.liferay.social.kernel.model,com.liferay.social
 .kernel.model.impl,com.liferay.social.kernel.service,com.liferay.soci
 al.kernel.service.permission,com.liferay.social.kernel.service.persis
 tence,com.liferay.social.kernel.util,com.liferay.social.kernel.util.c
 omparator,com.liferay.users.admin.kernel.file.uploads,com.liferay.use
 rs.admin.kernel.organization.types,com.liferay.users.admin.kernel.uti
 l,com.liferay.util,com.liferay.util.dao.orm,com.liferay.util.portlet,
 com.liferay.util.servlet,com.liferay.util.servlet.filters,com.liferay
 .util.xml,com.liferay.util.xml.descriptor,com.thoughtworks.qdox,com.t
 houghtworks.qdox.model,com.zaxxer.hikari,de.hunsicker.io,de.hunsicker
 .jalopy,de.hunsicker.jalopy.storage,freemarker.cache,freemarker.templ
 ate,javax.activation,javax.crypto,javax.crypto.spec,javax.imageio,jav
 ax.imageio.stream,javax.mail,javax.mail.internet,javax.management,jav
 ax.naming,javax.net.ssl,javax.portlet,javax.portlet.annotations,javax
 .portlet.filter,javax.security.auth.callback,javax.servlet,javax.serv
 let.http,javax.sql,javax.xml.namespace,javax.xml.parsers,javax.xml.st
 ream,javax.xml.stream.events,javax.xml.transform,javax.xml.transform.
 dom,javax.xml.transform.stream,jodd.bean,jodd.introspector,jodd.json,
 jodd.json.impl,jodd.json.meta,jodd.typeconverter,jodd.typeconverter.i
 mpl,jodd.util,org.apache.commons.configuration,org.apache.commons.lan
 g.builder,org.apache.commons.lang.time,org.apache.commons.logging,org
 .apache.logging.log4j,org.apache.logging.log4j.core,org.apache.xerces
 .parsers,org.apache.xerces.xni,org.dom4j,org.dom4j.io,org.dom4j.tree,
 org.hibernate,org.hibernate.boot,org.hibernate.boot.jaxb,org.hibernat
 e.boot.jaxb.internal,org.hibernate.boot.jaxb.spi,org.hibernate.boot.r
 egistry,org.hibernate.boot.spi,org.hibernate.cfg,org.hibernate.contex
 t.spi,org.hibernate.criterion,org.hibernate.dialect,org.hibernate.dia
 lect.function,org.hibernate.dialect.pagination,org.hibernate.engine.j
 dbc.dialect.internal,org.hibernate.engine.jdbc.dialect.spi,org.hibern
 ate.engine.jdbc.env.spi,org.hibernate.engine.jdbc.spi,org.hibernate.e
 ngine.spi,org.hibernate.event.internal,org.hibernate.event.service.sp
 i,org.hibernate.event.spi,org.hibernate.exception,org.hibernate.id,or
 g.hibernate.integrator.spi,org.hibernate.internal,org.hibernate.inter
 nal.util,org.hibernate.jdbc,org.hibernate.mapping,org.hibernate.metam
 odel.spi,org.hibernate.persister.entity,org.hibernate.property.access
 .internal,org.hibernate.property.access.spi,org.hibernate.query,org.h
 ibernate.resource.jdbc.spi,org.hibernate.service,org.hibernate.servic
 e.spi,org.hibernate.stat,org.hibernate.stat.spi,org.hibernate.type,or
 g.hibernate.type.spi,org.hibernate.usertype,org.jabsorb,org.jabsorb.s
 erializer,org.jaxen,org.jaxen.function,org.json,org.osgi.framework,or
 g.osgi.framework.launch,org.osgi.framework.wiring,org.osgi.util.track
 er,org.postgresql,org.postgresql.largeobject,org.springframework.aop,
 org.springframework.aop.framework,org.springframework.aop.support,org
 .springframework.beans,org.springframework.beans.factory,org.springfr
 amework.beans.factory.config,org.springframework.beans.factory.suppor
 t,org.springframework.beans.factory.xml,org.springframework.context,o
 rg.springframework.context.support,org.springframework.core,org.sprin
 gframework.core.io,org.springframework.core.io.support,org.springfram
 ework.jdbc.datasource,org.springframework.orm.hibernate5,org.springfr
 amework.transaction,org.springframework.transaction.interceptor,org.s
 pringframework.transaction.support,org.springframework.util,org.sprin
 gframework.web.context,org.springframework.web.context.support,org.w3
 c.dom,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Nov 10 00:00:00 PST 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Wed Mar 27 07:34:24 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Fixed-Issues: LPS-200199,LPS-202903,LRP-4696
Liferay-Portal-Installed-Patches: hotfix-5189-7413
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 102 (November 10, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 102
Liferay-Service: true
Private-Package: com.liferay.portal.events.dependencies,com.liferay.po
 rtal.deploy.dependencies,com.liferay.portal.tools.dependencies,com.li
 feray.portlet.blogs.dependencies,com.liferay.portlet.admin.dependenci
 es,com.liferay.portal.tools.sql.dependencies,com.liferay.portlet.port
 letdisplaytemplate.dependencies,com.liferay.portlet.announcements.dep
 endencies,com.liferay.portal.tools.propertiesdoc.dependencies,com.lif
 eray.portlet.messageboards.dependencies,com.liferay.portlet.documentl
 ibrary.dependencies,com.liferay.portal.servlet.filters.dynamiccss.dep
 endencies,com.liferay.portlet.sites.dependencies,com.liferay.portal.w
 ebserver.dependencies,com.liferay.portal.dependencies,com.liferay.cou
 nter.model,com.liferay.counter.model.impl,com.liferay.counter,com.lif
 eray.counter.service.base,com.liferay.counter.service.impl,com.lifera
 y.counter.service.persistence,com.liferay.counter.service.persistence
 .impl,com.liferay.mail.internal,com.liferay.mail.messaging,com.lifera
 y.mail.service.impl,com.liferay.portal.action,com.liferay.portal.cach
 e.key,com.liferay.portal.cache.thread.local,com.liferay.portal.ccpp,c
 om.liferay.portal.change.tracking.registry,com.liferay.portal.change.
 tracking.sql,com.liferay.portal.change.tracking.store,com.liferay.por
 tal.configuration,com.liferay.portal.convert,com.liferay.portal.conve
 rt.documentlibrary,com.liferay.portal.convert.messaging,com.liferay.p
 ortal.dao.db,com.liferay.portal.dao.init,com.liferay.portal.dao.jdbc,
 com.liferay.portal.dao.jdbc.pool.metrics,com.liferay.portal.dao.jdbc.
 postgresql,com.liferay.portal.dao.jdbc.spring,com.liferay.portal.dao.
 jdbc.util,com.liferay.portal.dao.orm.common,com.liferay.portal.dao.or
 m.hibernate.event,com.liferay.portal.dao.orm.hibernate.jmx,com.lifera
 y.portal.dao.sql.transformer,com.liferay.portal.db,com.liferay.portal
 .db.index,com.liferay.portal.db.partition,com.liferay.portal.definiti
 ons,com.liferay.portal.deploy,com.liferay.portal.deploy.auto,com.life
 ray.portal.deploy.dependencies.images.liferay-ui,com.liferay.portal.e
 e.license,com.liferay.portal.ee.license.a,com.liferay.portal.facebook
 ,com.liferay.portal.format,com.liferay.portal.image,com.liferay.porta
 l.increment,com.liferay.portal.internal.change.tracking.hibernate,com
 .liferay.portal.internal.cluster,com.liferay.portal.internal.dao.sql.
 transformer,com.liferay.portal.internal.errors,com.liferay.portal.int
 ernal.increment,com.liferay.portal.internal.messaging.async,com.lifer
 ay.portal.internal.minifier,com.liferay.portal.internal.security.perm
 ission.contributor,com.liferay.portal.internal.service.util,com.lifer
 ay.portal.internal.servlet,com.liferay.portal.json,com.liferay.portal
 .json.data,com.liferay.portal.json.jabsorb.serializer,com.liferay.por
 tal.json.transformer,com.liferay.portal.jsonwebservice,com.liferay.po
 rtal.language,com.liferay.portal.layoutconfiguration.util,com.liferay
 .portal.layoutconfiguration.util.velocity,com.liferay.portal.license,
 com.liferay.portal.license.a,com.liferay.portal.license.classloader,c
 om.liferay.portal.license.util,com.liferay.portal.linkback,com.lifera
 y.portal.liveusers,com.liferay.portal.liveusers.messaging,com.liferay
 .portal.log,com.liferay.portal.messaging.proxy,com.liferay.portal.mod
 el,com.liferay.portal.model.adapter.impl,com.liferay.portal.model.ada
 pter.util,com.liferay.portal.model.impl,com.liferay.portal.module.fra
 mework,com.liferay.portal.module.util,com.liferay.portal.notification
 s,com.liferay.portal.repository,com.liferay.portal.repository.capabil
 ities,com.liferay.portal.repository.capabilities.util,com.liferay.por
 tal.repository.external,com.liferay.portal.repository.liferayreposito
 ry,com.liferay.portal.repository.liferayrepository.model,com.liferay.
 portal.repository.liferayrepository.social,com.liferay.portal.reposit
 ory.portletrepository,com.liferay.portal.repository.registry,com.life
 ray.portal.repository.temporaryrepository,com.liferay.portal.reposito
 ry.util,com.liferay.portal.search,com.liferay.portal.search.dependenc
 ies.spellchecker,com.liferay.portal.security,com.liferay.portal.secur
 ity.access.control,com.liferay.portal.security.auth.http,com.liferay.
 portal.security.auth.registry,com.liferay.portal.security.auth.sessio
 n,com.liferay.portal.security.auth.tunnel,com.liferay.portal.security
 .jaas,com.liferay.portal.security.membershippolicy,com.liferay.portal
 .security.permission,com.liferay.portal.security.pwd,com.liferay.port
 al.security.sso,com.liferay.portal.security.xml,com.liferay.portal,co
 m.liferay.portal.service.base,com.liferay.portal.service.impl,com.lif
 eray.portal.service.persistence.impl,com.liferay.portal.servlet.deleg
 ate,com.liferay.portal.servlet.filters.absoluteredirects,com.liferay.
 portal.servlet.filters.aggregate,com.liferay.portal.servlet.filters.a
 utologin,com.liferay.portal.servlet.filters.cache,com.liferay.portal.
 servlet.filters.dynamiccss,com.liferay.portal.servlet.filters.etag,co
 m.liferay.portal.servlet.filters.fragment,com.liferay.portal.servlet.
 filters.gzip,com.liferay.portal.servlet.filters.header,com.liferay.po
 rtal.servlet.filters.healthcheckdatasource,com.liferay.portal.servlet
 .filters.ignore,com.liferay.portal.servlet.filters.language,com.lifer
 ay.portal.servlet.filters.lockout,com.liferay.portal.servlet.filters.
 password.modified,com.liferay.portal.servlet.filters.secure,com.lifer
 ay.portal.servlet.filters.servletauthorizing,com.liferay.portal.servl
 et.filters.servletcontextinclude,com.liferay.portal.servlet.filters.s
 essionid,com.liferay.portal.servlet.filters.sessionmaxallowed,com.lif
 eray.portal.servlet.filters.strip,com.liferay.portal.servlet.filters.
 themepreview,com.liferay.portal.servlet.filters.threaddump,com.lifera
 y.portal.servlet.filters.threadlocal,com.liferay.portal.servlet.filte
 rs.unsyncprintwriterpool,com.liferay.portal.servlet.filters.util,com.
 liferay.portal.servlet.filters.validhostname,com.liferay.portal.servl
 et.filters.virtualhost,com.liferay.portal.servlet.filters.weblogic,co
 m.liferay.portal.servlet.filters.websphere,com.liferay.portal.servlet
 .taglib.ui,com.liferay.portal.setup,com.liferay.portal.sharepoint,com
 .liferay.portal.sharepoint.dws,com.liferay.portal.sharepoint.methods,
 com.liferay.portal.spring.aop,com.liferay.portal.spring.bean,com.life
 ray.portal.spring.context,com.liferay.portal.spring.hibernate,com.lif
 eray.portal.spring.override,com.liferay.portal.spring.transaction,com
 .liferay.portal.spring.util,com.liferay.portal.struts,com.liferay.por
 tal.struts.constants,com.liferay.portal.struts.model,com.liferay.port
 al.systemevent,com.liferay.portal.templateparser,com.liferay.portal.t
 heme,com.liferay.portal.tools.comparator,com.liferay.portal.tools.dep
 loy,com.liferay.portal.tools.jspc.common,com.liferay.portal.tools.pro
 pertiesdoc,com.liferay.portal.tools.sql,com.liferay.portal.transactio
 n,com.liferay.portal.typeconverter,com.liferay.portal.upgrade,com.lif
 eray.portal.upgrade.log,com.liferay.portal.upgrade.v6_1_1,com.liferay
 .portal.upgrade.v6_2_0,com.liferay.portal.upgrade.v6_2_0.util,com.lif
 eray.portal.upgrade.v7_0_0.util,com.liferay.portal.upgrade.v7_0_1,com
 .liferay.portal.upgrade.v7_0_3,com.liferay.portal.upgrade.v7_0_6,com.
 liferay.portal.upgrade.v7_2_x,com.liferay.portal.upgrade.v7_2_x.util,
 com.liferay.portal.upgrade.v7_3_x,com.liferay.portal.upgrade.v7_4_x,c
 om.liferay.portal.verify,com.liferay.portal.verify.model,com.liferay.
 portal.webdav,com.liferay.portal.webdav.methods,com.liferay.portal.we
 bserver,com.liferay.portal.workflow,com.liferay.portal.xml.xpath,com.
 liferay.portal.xmlrpc,com.liferay.portal.zip,com.liferay.portlet.admi
 n.util,com.liferay.portlet.announcements.model,com.liferay.portlet.an
 nouncements.model.impl,com.liferay.portlet.announcements,com.liferay.
 portlet.announcements.service.base,com.liferay.portlet.announcements.
 service.http,com.liferay.portlet.announcements.service.impl,com.lifer
 ay.portlet.announcements.service.permission,com.liferay.portlet.annou
 ncements.service.persistence.impl,com.liferay.portlet.asset.service.b
 ase,com.liferay.portlet.asset.service.http,com.liferay.portlet.asset.
 service.impl,com.liferay.portlet.asset.service.persistence.impl,com.l
 iferay.portlet.asset.util.comparator,com.liferay.portlet.documentlibr
 ary.constants,com.liferay.portlet.documentlibrary.messaging,com.lifer
 ay.portlet.documentlibrary.model.impl,com.liferay.portlet.documentlib
 rary.service.base,com.liferay.portlet.documentlibrary.service.http,co
 m.liferay.portlet.documentlibrary.service.impl,com.liferay.portlet.do
 cumentlibrary.service.persistence.impl,com.liferay.portlet.documentli
 brary.sharepoint,com.liferay.portlet.documentlibrary.social,com.lifer
 ay.portlet.documentlibrary.util.comparator,com.liferay.portlet.docume
 ntlibrary.webdav,com.liferay.portlet.expando,com.liferay.portlet.expa
 ndo.service.base,com.liferay.portlet.expando.service.http,com.liferay
 .portlet.expando.service.impl,com.liferay.portlet.expando.service.per
 sistence.impl,com.liferay.portlet.exportimport.model.impl,com.liferay
 .portlet.exportimport,com.liferay.portlet.exportimport.service.base,c
 om.liferay.portlet.exportimport.service.http,com.liferay.portlet.expo
 rtimport.service.impl,com.liferay.portlet.exportimport.service.persis
 tence.impl,com.liferay.portlet.exportimport.staging,com.liferay.portl
 et.extra.config,com.liferay.portlet.internal,com.liferay.portlet.port
 letconfiguration,com.liferay.portlet.portletconfiguration.util,com.li
 feray.portlet.ratings.model.impl,com.liferay.portlet.ratings,com.life
 ray.portlet.ratings.service.base,com.liferay.portlet.ratings.service.
 http,com.liferay.portlet.ratings.service.impl,com.liferay.portlet.rat
 ings.service.persistence.impl,com.liferay.portlet.social.model.impl,c
 om.liferay.portlet.social,com.liferay.portlet.social.service.base,com
 .liferay.portlet.social.service.http,com.liferay.portlet.social.servi
 ce.impl,com.liferay.portlet.social.service.persistence.impl,com.lifer
 ay.portlet.social.util,com.liferay.portlet.usersadmin.util,custom-sql
 ,resource-actions
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
TODAY: March 27 2024
Tool: Bnd-3.5.0.201709291849
TSTAMP: 0734
